### Function

# Gck modules_tokens_for_uri

#### Declaration [src]

    GList*
    gck_modules_tokens_for_uri (
      GList* modules,
      const gchar* uri,
      GError** error
    )

#### Description [src]

Lookup a token that matches the URI.

#### Parameters

`modules`

  Type: A list of `GckModule*`

  The modules.

  The data is owned by the caller of the function.

`uri`

  Type: `const gchar*`

  The URI that the token must match.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `None`

A list of newly allocated `GckSlot` objects. Use `gck_list_unref_free()` to release the list once you’re done with it.

The caller of the function takes ownership of the data, and is responsible for freeing it.